package jp.co.y_net.amm.api;

import jp.co.y_net.amm.service.Challengestring;

import org.apache.wicket.spring.injection.annot.SpringBean;

public class ApiChallengestring extends ApiPage {

    @SpringBean(name="challengestring")
    private Challengestring challengestring;
    
    public ApiChallengestring(){
        
        /* 主処理 */
        Result result = new Result();
        result.value = challengestring.execute();
        
        /* JSONのレスポンスを設定 */
        super.setResponse(result);
     }
    /**
     * 処理結果
     */
    public static class Result extends ApiResult{
        public String value;
    }
}
